FAQ Search Today's Posts Mark Forums Read
» Video Reviews

» Linux Archive

Linux-archive is a website aiming to archive linux email lists and to make them easily accessible for linux users/developers.


» Sponsor

» Partners

» Sponsor

Go Back   Linux Archive > Ubuntu > Ubuntu User

 
 
LinkBack Thread Tools
 
Old 07-21-2008, 05:46 AM
"Chaman Singh Verma"
 
Default Zlib + Boost Installation problem

Hi,

I am trying to instal Boost library on Intel Core 2 machine I had installed AMD64
version of Ubuntu.

Installing gave troubles and it seems that it couldn't find zlib.h path.

There are two places I could locate zlib.h in Ubuntu i.e. linux-headers-2.6.24-19

and linux-headers-2.6.24-19.generic. Why there are two identical version and how
I can provide link to Boost library to these libraries and which one I should use ?

csv


--
ubuntu-users mailing list
ubuntu-users@lists.ubuntu.com
Modify settings or unsubscribe at: https://lists.ubuntu.com/mailman/listinfo/ubuntu-users
 
Old 07-21-2008, 06:08 AM
"Stuart A. Yeates"
 
Default Zlib + Boost Installation problem

On Mon, Jul 21, 2008 at 5:46 PM, Chaman Singh Verma <csv610@gmail.com> wrote:
> Hi,
>
> I am trying to instal Boost library on Intel Core 2 machine I had installed
> AMD64
> version of Ubuntu.
>
> Installing gave troubles and it seems that it couldn't find zlib.h path.
>
> There are two places I could locate zlib.h in Ubuntu i.e.
> linux-headers-2.6.24-19
> and linux-headers-2.6.24-19.generic. Why there are two identical version and
> how
> I can provide link to Boost library to these libraries and which one I
> should use ?
>
> csv

Are you sure there are two identical copies? On my box one is a link
to the other:

stuartyeates@stuartyeates:~$ ls -lart
/usr/src/linux-headers-2.6.24-19-generic/include/linux/zlib.h
lrwxrwxrwx 1 root root 53 2008-07-16 21:24
/usr/src/linux-headers-2.6.24-19-generic/include/linux/zlib.h ->
../../../linux-headers-2.6.24-19/include/linux/zlib.h

This is very common for header files. I'm pretty certain that the
linux-headers-2.6.24-19 is the one you should be referencing.

Also make sure that this is the header you're after, rather than the
one with the same name in

http://packages.ubuntu.com/hardy/zlib1g-dev

which looks more like what you need.

cheers
stuart

--
ubuntu-users mailing list
ubuntu-users@lists.ubuntu.com
Modify settings or unsubscribe at: https://lists.ubuntu.com/mailman/listinfo/ubuntu-users
 

Thread Tools




All times are GMT. The time now is 07:15 AM.

VBulletin, Copyright ©2000 - 2014, Jelsoft Enterprises Ltd.
Content Relevant URLs by vBSEO ©2007, Crawlability, Inc.
Copyright 2007 - 2008, www.linux-archive.org